{
  inputs = {
    # ...
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flatpaks.url = "github:GermanBread/declarative-flatpak/dev";
    flatpaks.inputs.nixpkgs.follows = "nixpkgs";
    hyprland.url = "github:hyprwm/Hyprland";
    hyprland.inputs.nixpkgs.follows = "nixpkgs";
    agenix.url = "github:ryantm/agenix";
    agenix.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = { nixpkgs, flatpaks, agenix, ... } @ inputs: {
    nixosConfigurations.insertpclinux = nixpkgs.lib.nixosSystem {
      specialArgs = { inherit inputs; };
      modules = [
        flatpaks.nixosModules.default
        ./configuration.nix
        agenix.nixosModules.default
      ];
    };
  };
 }
 
