{ inputs, config, lib, pkgs, ... }:
#Yes I manage my home files like this, yes I am insane
#Credit to anyone I got these config files from, I would add it here but its been months
{
  home-manager.users.insert.home.file.".config/qt5ct/colors/Catppuccin-Frappe.conf" = {
  text = ''[ColorScheme]
active_colors=#ffc6d0f5, #ff292c3c, #ffa5adce, #ff949cbb, #ff51576d, #ff737994, #ffc6d0f5, #ffc6d0f5, #ffc6d0f5, #ff303446, #ff292c3c, #ff838ba7, #ff8caaee, #ff303446, #ff8caaee, #ffe78284, #ff303446, #ffc6d0f5, #ff232634, #ffc6d0f5, #80838ba7
disabled_colors=#ffa5adce, #ff292c3c, #ffa5adce, #ff949cbb, #ff51576d, #ff737994, #ffa5adce, #ffa5adce, #ffa5adce, #ff303446, #ff292c3c, #ff838ba7, #ff626880, #ffb5bfe2, #ff8caaee, #ffe78284, #ff303446, #ffc6d0f5, #ff232634, #ffc6d0f5, #80838ba7
inactive_colors=#ffc6d0f5, #ff292c3c, #ffa5adce, #ff949cbb, #ff51576d, #ff737994, #ffc6d0f5, #ffc6d0f5, #ffc6d0f5, #ff303446, #ff292c3c, #ff838ba7, #ff414559, #ffa5adcb, #ff8caaee, #ffe78284, #ff303446, #ffc6d0f5, #ff232634, #ffc6d0f5, #80838ba7'';
  }; 


  home-manager.users.insert.home.file.".config/mako/config" = {
  text = ''# Colors

background-color=#303446
text-color=#c6d0f5
border-color=#8caaee
progress-color=over #414559

[urgency=high]
border-color=#ef9f76'';
  };

  environment.etc."greetd/regreet.toml".text = lib.mkForce ''[background]
path = "/home/insert/Documents/cat-background/background.png"
fit = "Fill"
[GTK]
# Whether to use the dark theme
application_prefer_dark_theme = true

# Cursor theme name
#cursor_theme_name = "Adwaita"

# Font name and size
font_name = "Monocraft 20"

# Icon theme name
icon_theme_name = "Breeze Dark"

# GTK theme name
#theme_name = "Adwaita"
  '';

  home-manager.users.insert.home.file.".config/waybar/config.jsonc" = {
  text = ''{
    "layer": "top",
    "position": "top",
    "mod": "dock",
    "exclusive": true,
    "passtrough": false,
    "gtk-layer-shell": true,
    "height": 0,
    "modules-left": [
        "clock",
        "hyprland/workspaces"
    ],
    "modules-center": ["hyprland/window"],
    "modules-right": [
        "wlr/taskbar",
        "temperature",
        "cpu",
        "memory",
        "tray"
    ],

    "hyprland/window": {
        "format": "{}"
    },
    "hyprland/workspaces": {
        "on-scroll-up": "hyprctl dispatch workspace e+1",
        "on-scroll-down": "hyprctl dispatch workspace e-1",
        "all-outputs": true,
        "tooltip": true,
        "on-click": "activate"
    },
    "wlr/taskbar": {
        "on-click": "activate",
        "on-click-middle": "close",
        "ignore-list": [
          "foot"
        ]
     },
     "cpu": {
         "interval": 10,
         "format": " {}%",
         "max-length": 10,
         "on-click": ""
     },
     "memory": {
         "interval": 30,
         "format-alt": " {}%",
         "format":" {used:0.1f}G",
         "max-length": 10
     },
    "custom/weather" : {
        "tooltip" : true,
        "format" : "{}",
        "restart-interval" : 300,
        "exec" : "~/.config/waybar/scripts/waybar-wttr.py",
        "return-type" : "json"
    },
    "temperature" : {
        "format": "{temperatureF}°F"
    },
    "tray": {
        "icon-size": 13,
        "tooltip": false,
        "spacing": 10
    },
    "clock": {
        "format":"  {:%R    %d/%m}",
        "tooltip-format": "<big>{:%Y %B}</big>\n<tt><small>{calendar}</small></tt>"
    },
    "pulseaudio": {
        "format": "{icon} {volume}%",
        "tooltip": false,
        "format-muted": " Muted",
        "on-click": "pamixer -t",
        "on-scroll-up": "pamixer -i 5",
        "on-scroll-down": "pamixer -d 5",
        "scroll-step": 5,
        "format-icons": {
            "headphone": "",
            "hands-free": "",
            "headset": "",
            "phone": "",
            "portable": "",
            "car": "",
            "default": ["", "", ""]
        }
    },
    "pulseaudio#microphone": {
        "format": "{format_source}",
        "tooltip": false,
        "format-source": " {volume}%",
        "format-source-muted": " Muted",
        "on-click": "pamixer --default-source -t",
        "on-scroll-up": "pamixer --default-source -i 5",
        "on-scroll-down": "pamixer --default-source -d 5",
        "scroll-step": 5
    }
}
'';
  };
  home-manager.users.insert.home.file.".config/waybar/style.css" = {
  text = ''@import "frappe.css";

* {
  font-family: FantasqueSansMono Nerd Font;
  font-size: 17px;
  min-height: 0;
}

#waybar {
  background: transparent;
  color: @text;
  margin: 5px 5px;
}

#workspaces {
  border-radius: 1rem;
  margin: 5px;
  background-color: @surface0;
  margin-left: 1rem;
}

#taskbar {
  border-radius: 1rem;
  margin: 5px;
  background-color: @surface0;
  margin-left: 1rem;
}

#workspaces button {
  color: @lavender;
  border-radius: 1rem;
  padding: 0.4rem;
}

#workspaces button.active {
  color: @sky;
  border-radius: 1rem;
}

#workspaces button:hover {
  color: @sapphire;
  border-radius: 1rem;
}

#custom-music,
#tray,
#backlight,
#clock,
#battery,
#cpu,
#memory,
#temperature,
#pulseaudio,
#custom-lock,
#custom-power {
  background-color: @surface0;
  padding: 0.5rem 1rem;
  margin: 5px 0;
}

#clock {
  color: @blue;
  border-radius: 0px 1rem 1rem 0px;
  margin-right: 1rem;
}

#battery {
  color: @green;
}

#temperature {
    color: @red;
    border-radius: 1rem 0px 0px 1rem;
    margin-left: 1rem;
}

#cpu {
    color: @yellow;
}
#memory {
    color: @green;
}

#battery.charging {
  color: @green;
}

#battery.warning:not(.charging) {
  color: @red;
}

#backlight {
  color: @yellow;
}

#backlight, #battery {
    border-radius: 0;
}

#pulseaudio {
  color: @maroon;
  border-radius: 1rem 0px 0px 1rem;
  margin-left: 1rem;
}

#custom-music {
  color: @mauve;
  border-radius: 1rem;
}

#custom-lock {
    border-radius: 1rem 0px 0px 1rem;
    color: @lavender;
}

#custom-power {
    margin-right: 1rem;
    border-radius: 0px 1rem 1rem 0px;
    color: @red;
}

#tray {
  /*margin-right: 1rem;
  border-radius: 1rem;*/
}'';
  };
  home-manager.users.insert.home.file.".config/hypr/hyprland.conf" = {
  text = ''autogenerated = 0 # remove this line to remove the warning

# See https://wiki.hyprland.org/Configuring/Monitors/
monitor=,1920x1080@60,auto,1


# See https://wiki.hyprland.org/Configuring/Keywords/ for more

# Execute your favorite apps at launch
# exec-once = waybar & hyprpaper & firefox
source=~/.config/hypr/frappe.conf
# Source a file (multi-file configs)
# source = ~/.config/hypr/myColors.conf

# Some default env vars.
env = XCURSOR_SIZE,24
env = WLR_NO_HARDWARE_CURSORS,1
env = NIXOS_OZONE_WL,1
env = KUBECONFIG,/home/insert/Desktop/k3s.yaml
env = QT_QPA_PLATFORMTHEME,qt5ct
env = XCURSOR_THEME,Catppuccin-Frappe-Blue-Cursors
env = XCURSOR_SIZE,24
exec-once = systemctl --user start polkit-gnome-authentication-agent-1 
#exec-once = hyprctl setcursor Catppuccin-Frappe-Blue-Cursors 24
exec-once = watch waybar
exec-once = wayvnc 100.120.210.58
exec-once = mako
exec-once = swww init
exec-once = sleep 5 & swww img /home/insert/Documents/nixos.png
#exec-once = ln -sf $XDG_RUNTIME_DIR/{app/com.discordapp.Discord,}/discord-ipc-0
exec-once = systemctl --user import-environment PATH
exec-once = systemctl --user restart xdg-desktop-portal.service
# For all categories, see https://wiki.hyprland.org/Configuring/Variables/
input {
    kb_layout = us
    kb_variant =
    kb_model =
    kb_options =
    kb_rules =

    follow_mouse = 1

    touchpad {
        natural_scroll = no
    }

    sensitivity = 0 # -1.0 - 1.0, 0 means no modification.
}

general {
    # See https://wiki.hyprland.org/Configuring/Variables/ for more

    gaps_in = 5
    gaps_out = 20
    border_size = 2
    #col.active_border = $overlay1 45deg
    #col.active_border = rgba(33ccffee) rgba(00ff99ee) 45deg
    #col.inactive_border = rgba(595959aa)
    col.active_border=$pink $mauve 45deg
    col.inactive_border=$surface2

    layout = dwindle
}

decoration {
    # See https://wiki.hyprland.org/Configuring/Variables/ for more

    rounding = 10
    
    blur {
        enabled = true
        size = 3
        passes = 1
    }

    drop_shadow = yes
    shadow_range = 4
    shadow_render_power = 3
    col.shadow = $lavender
}

animations {
    enabled = yes

    # Some default animations, see https://wiki.hyprland.org/Configuring/Animations/ for more

    bezier = myBezier, 0.05, 0.9, 0.1, 1.05

    animation = windows, 1, 6, myBezier
    animation = windowsOut, 1, 6, default, popin 80%
    animation = border, 1, 10, default
    animation = borderangle, 1, 8, default
    animation = fade, 1, 5, default
    animation = workspaces, 1, 4, default
}

dwindle {
    # See https://wiki.hyprland.org/Configuring/Dwindle-Layout/ for more
    pseudotile = yes # master switch for pseudotiling. Enabling is bound to mainMod + P in the keybinds section below
    preserve_split = yes # you probably want this
}

master {
    # See https://wiki.hyprland.org/Configuring/Master-Layout/ for more
    new_is_master = true
}

gestures {
    # See https://wiki.hyprland.org/Configuring/Variables/ for more
    workspace_swipe = off
}


# Example windowrule v1
# windowrule = float, ^(kitty)$
# Example windowrule v2
# windowrulev2 = float,class:^(kitty)$,title:^(kitty)$
# See https://wiki.hyprland.org/Configuring/Window-Rules/ for more


# See https://wiki.hyprland.org/Configuring/Keywords/ for more
$mainMod = ALT

# Example binds, see https://wiki.hyprland.org/Configuring/Binds/ for more
bind = $mainMod, Q, exec, kitty zsh 
bind = $mainMod, C, exec, ~/Documents/closewindow.sh
#bind = $mainMod, M, exit, 
bind = $mainMod, E, exec, kitty nnn
bind = $mainMod, V, togglefloating, 
bind = $mainMod, R, exec, wofi --show drun --allow-images
bind = $mainMod, S, pseudo, # dwindle
bind = $mainMod, J, togglesplit, # dwindle
bind = $mainMod, P, exec, grim -g "$(slurp)" - | wl-copy
# Move focus with mainMod + arrow keys
bind = $mainMod, left, movefocus, l
bind = $mainMod, right, movefocus, r
bind = $mainMod, up, movefocus, u
bind = $mainMod, down, movefocus, d

# Switch workspaces with mainMod + [0-9]
bind = $mainMod, 1, workspace, 1
bind = $mainMod, 2, workspace, 2
bind = $mainMod, 3, workspace, 3
bind = $mainMod, 4, workspace, 4
bind = $mainMod, 5, workspace, 5
bind = $mainMod, 6, workspace, 6
bind = $mainMod, 7, workspace, 7
bind = $mainMod, 8, workspace, 8
bind = $mainMod, 9, workspace, 9
bind = $mainMod, 0, workspace, 10

# Move active window to a workspace with mainMod + SHIFT + [0-9]
bind = $mainMod SHIFT, 1, movetoworkspace, 1
bind = $mainMod SHIFT, 2, movetoworkspace, 2
bind = $mainMod SHIFT, 3, movetoworkspace, 3
bind = $mainMod SHIFT, 4, movetoworkspace, 4
bind = $mainMod SHIFT, 5, movetoworkspace, 5
bind = $mainMod SHIFT, 6, movetoworkspace, 6
bind = $mainMod SHIFT, 7, movetoworkspace, 7
bind = $mainMod SHIFT, 8, movetoworkspace, 8
bind = $mainMod SHIFT, 9, movetoworkspace, 9
bind = $mainMod SHIFT, 0, movetoworkspace, 10

# Scroll through existing workspaces with mainMod + scroll
bind = $mainMod, mouse_down, workspace, e+1
bind = $mainMod, mouse_up, workspace, e-1

# Move/resize windows with mainMod + LMB/RMB and dragging
bindm = $mainMod, mouse:272, movewindow
bindm = $mainMod, mouse:273, resizewindow'';
  };
  home-manager.users.insert.home.file.".config/hypr/frappe.conf" = {
  text = ''$rosewaterAlpha = f2d5cf
$flamingoAlpha  = eebebe
$pinkAlpha      = f4b8e4
$mauveAlpha     = ca9ee6
$redAlpha       = e78284
$maroonAlpha    = ea999c
$peachAlpha     = ef9f76
$yellowAlpha    = e5c890
$greenAlpha     = a6d189
$tealAlpha      = 81c8be
$skyAlpha       = 99d1db
$sapphireAlpha  = 85c1dc
$blueAlpha      = 8caaee
$lavenderAlpha  = babbf1

$textAlpha      = c6d0f5
$subtext1Alpha  = b5bfe2
$subtext0Alpha  = a5adce

$overlay2Alpha  = 949cbb
$overlay1Alpha  = 838ba7
$overlay0Alpha  = 737994

$surface2Alpha  = 626880
$surface1Alpha  = 51576d
$surface0Alpha  = 414559

$baseAlpha      = 303446
$mantleAlpha    = 292c3c
$crustAlpha     = 232634

$rosewater = 0xfff2d5cf
$flamingo  = 0xffeebebe
$pink      = 0xfff4b8e4
$mauve     = 0xffca9ee6
$red       = 0xffe78284
$maroon    = 0xffea999c
$peach     = 0xffef9f76
$yellow    = 0xffe5c890
$green     = 0xffa6d189
$teal      = 0xff81c8be
$sky       = 0xff99d1db
$sapphire  = 0xff85c1dc
$blue      = 0xff8caaee
$lavender  = 0xffbabbf1

$text      = 0xffc6d0f5
$subtext1  = 0xffb5bfe2
$subtext0  = 0xffa5adce

$overlay2  = 0xff949cbb
$overlay1  = 0xff838ba7
$overlay0  = 0xff737994

$surface2  = 0xff626880
$surface1  = 0xff51576d
$surface0  = 0xff414559

$base      = 0xff303446
$mantle    = 0xff292c3c
$crust     = 0xff232634'';
  };
  home-manager.users.insert.home.file.".config/waybar/frappe.css" = {
  text = ''/*
*
* Catppuccin Frappe palette
* Maintainer: rubyowo
*
*/

@define-color base   #303446;
@define-color mantle #292c3c;
@define-color crust  #232634;

@define-color text     #c6d0f5;
@define-color subtext0 #a5adce;
@define-color subtext1 #b5bfe2;

@define-color surface0 #414559;
@define-color surface1 #51576d;
@define-color surface2 #626880;

@define-color overlay0 #737994;
@define-color overlay1 #838ba7;
@define-color overlay2 #949cbb;

@define-color blue      #8caaee;
@define-color lavender  #babbf1;
@define-color sapphire  #85c1dc;
@define-color sky       #99d1db;
@define-color teal      #81c8be;
@define-color green     #a6d189;
@define-color yellow    #e5c890;
@define-color peach     #ef9f76;
@define-color maroon    #ea999c;
@define-color red       #e78284;
@define-color mauve     #ca9ee6;
@define-color pink      #f4b8e4;
@define-color flamingo  #eebebe;
@define-color rosewater #f2d5cf;'';
  };
}